CREATE SEQUENCE test_results_id_seq;
CREATE TABLE test_results (
  id bigint NOT NULL DEFAULT nextval('test_results_seq') PRIMARY KEY,
  test_name varchar(255) DEFAULT NULL,
  test_class varchar(255) DEFAULT NULL,
  test_method varchar(255) DEFAULT NULL,
  test_path varchar(255) DEFAULT NULL,
  test_type varchar(32) DEFAULT NULL,
  test_timestamp timestamptz NOT NULL DEFAULT now(),
  test_retry BOOLEAN DEFAULT FALSE,
  origin varchar(255) DEFAULT NULL,
  failed BOOLEAN DEFAULT FALSE,
  failed_message varchar(2047) DEFAULT NULL,
  screenshot_url varchar(255) DEFAULT NULL,
  weblog_url varchar(255) DEFAULT NULL,
);
ALTER SEQUENCE test_results_id_seq OWNED BY test_results.id;


